﻿@model eCommerce.UI.ViewModels.ShoppingCartViewModel
@{
    ViewBag.Title = "Tu compra";

}


@Html.Partial("_BreadCrumb")

@using (Html.BeginForm("Step1", "ShoppingCart", FormMethod.Post, new { name = "CloseOrder", @class="form" }))
{

    <section id="cart-page">
        <div class="container">
            <!-- ========================================= CONTENT ========================================= -->
        
            <div class="col-xs-12 col-md-9 items-holder no-margin widget">
            
                <h1 class="border">Detalle de tu compra</h1>    

                @foreach (var orderDetail in Model.OrderDetails)
                {
                    Html.RenderPartial("_OrderDetail", orderDetail);
                }

            </div>
            <!-- ========================================= CONTENT : END ========================================= -->
            <!-- ========================================= SIDEBAR ========================================= -->
            <div class="col-xs-12 col-md-3 no-margin sidebar ">
                
                @Html.Partial("_OrderSummary", Model)

                <div id="cupon-widget" class="widget">
                    <h1 class="border">Descuentos</h1>
                    <div class="body">
                        <form>
                            <div class="inline-input">
                                <input data-placeholder="Ingrese el código" type="text" name="txtCoupon" id="txtCoupon" />
                                <button class="le-button" onclick="validarCupon(); return false;" >Ok</button>
                                <input type="hidden" name="descuentoCupon" id="descuentoCupon" value="0"/>
                            </div>
                        </form>
                    </div>
                </div><!-- /.widget -->
            </div><!-- /.sidebar -->
            <!-- ========================================= SIDEBAR : END ========================================= -->
        </div>
    </section>
}

<div id="validationAlert" class="modal fade" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">¿Estás seguro?</h4>
            </div>
            <div class="modal-body">
                <p id="mensajeValidacion">Al confirmar esta acción se borrarán todos los items de tu carrito.</p>
            </div>
            <div class="modal-footer">
                <button id="btnAceptar" onclick="fClearShoppingCart()" type="button" class="btn btn-default" data-dismiss="modal">Confirmar</button>
                <button onclick="cancelar()" type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
            </div>
        </div>
    </div>
</div>

@section Scripts {

<script src="/Scripts/ShoppingCart/Step1.js" type="text/javascript"></script>

<script type="text/javascript">

    $(document).ready(function () {
        $("#clearCart").removeClass("hidden");
    });

</script>

}
